Last Comment Bug 768779 - identities list does not refresh the list after an identity is edited or added
: identities list does not refresh the list after an identity is edited or added
Status: VERIFIED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Account Manager (show other bugs)
: Trunk
: All All
: -- critical (vote)
: Thunderbird 16.0
Assigned To: :aceman
:
Mentors:
: 476044 (view as bug list)
Depends on:
Blocks: 451728
  Show dependency treegraph
 
Reported: 2012-06-26 23:41 PDT by :aceman
Modified: 2012-08-06 23:32 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
patch (5.96 KB, patch)
2012-06-27 15:02 PDT, :aceman
no flags Details | Diff | Review
patch v2 (5.97 KB, patch)
2012-06-27 15:08 PDT, :aceman
standard8: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description :aceman 2012-06-26 23:41:31 PDT
After an identity is edited or added, the list is not refreshed so it does not show the change or new identity. The dialog must be closed and opened again to see new values.
This is caused by the am-identity-edit.xul/js not returning .result = true in the window arguments. That in turn is caused by failure in onOK() due to this:

Error: prettyFolderName is not defined
Source File: chrome://messenger/content/am-copies.js
Line: 159

The error is normally hidden but I added try {} catch {} to find it. This must be fallout from bug 451728.
However I am not sure why it happens. am-identity-edit.xul includes and overlay from am-copiesOverlay.xul that in turn includes amUtils.js which includes the prettyFolderName function.

I have noticed this in TB16. But bug 451728 went into TB14. I have not tested that one yet, but if the problem is there, I must fix this ASAP, so setting the flag (wonder why there is no tracking-thunderbird15 flag).
Comment 1 :aceman 2012-06-26 23:48:52 PDT
Well, the is now a tracking-thunderbird15 flag, but it was not accessible directly in the bug creation form (a bug in bugzilla?) while the others are.
Comment 2 :aceman 2012-06-27 01:47:02 PDT
You can also see a manifestation of the bug by going into an identity and seeing the Copies&folders tab. Some of the folderpickers may be empty, even though they should be initialized to the values set at the main identity on the main Copies&folder pane of the account.
Comment 3 :aceman 2012-06-27 13:02:03 PDT
I can confirm the problem is in TB14.
Comment 4 :aceman 2012-06-27 15:02:26 PDT
Created attachment 637275 [details] [diff] [review]
patch

It looks like the file amUtils.js was not properly loaded into the am-copiesOverlay.xul due to duplicate constant nsIFilePicker definition (it was in both files). I have no idea why it wasn't a problem when the same overlay was loaded in the Copies&Folders pane.
Comment 5 :aceman 2012-06-27 15:08:28 PDT
Created attachment 637281 [details] [diff] [review]
patch v2

Better checkin message.
Comment 6 Mark Banner (:standard8) 2012-06-29 03:10:34 PDT
Comment on attachment 637281 [details] [diff] [review]
patch v2

Looks good, r=me and a=me for landing on the branches.
Comment 7 Mark Banner (:standard8) 2012-06-29 03:12:56 PDT
Checked in:

https://hg.mozilla.org/comm-central/rev/9128c033ee05

I'll do branches later.
Comment 9 Thomas D. (currently busy elsewhere; needinfo?me) 2012-08-06 23:29:09 PDT
*** Bug 476044 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.